%define module_name pgperl
%define short_name Pg

Summary: PostgreSQL database native Perl driver
Name: perl-Pg
Version: 2.1.1
Release: alt2.0.1
License: GPL or Artistic
Group: Development/Perl
Url: http://gborg.postgresql.org/project/pgperl/download/download.php
Source0: %short_name-%version.tar.bz2
AutoReqProv: yes, perl

# Automatically added by buildreq on Fri Jun 24 2005
BuildRequires: libpq-devel perl-devel postgresql-devel

%description
PostgreSQL database native Perl driver

%prep
%setup -q -n %short_name-%version
rm -f $RPM_BUILD_DIR/%short_name-%version/test.pl

%build
export POSTGRES_INCLUDE=%_includedir/pgsql
export POSTGRES_LIB=%_libdir
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README MANIFEST Changes
%perl_vendor_autolib/%short_name/%short_name.so
%perl_vendor_archlib/%short_name.pm

%changelog
* Sun Nov 07 2010 Vladimir Lettiev <crux@altlinux.ru> 2.1.1-alt2.0.1
- rebuilt with perl 5.12

* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 2.1.1-alt2.0
- Fixed postgresql build dependencies.
- Rebuilt due to libpq.so.4 -> libpq.so.5 soname change.

* Thu Dec 08 2005 Konstantin Timoshenko <kt@altlinux.ru> 2.1.1-alt2
- fix build requires

* Fri Jun 24 2005 Konstantin Timoshenko <kt@altlinux.ru> 2.1.1-alt1
- 2.1.1 

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.2-alt2.1
- Rebuilt with rpm-build-perl-0.5.1.

* Fri Sep 26 2003 Konstantin Timoshenko <kt@altlinux.ru> 2.0.2-alt2
- fix build requires.

* Wed Dec 18 2002 Konstantin Timoshenko <kt@altlinux.ru> 2.0.2-alt1
- First AltLinux release
